Package org.apache.activemq.artemis.api.core

## Class JsonUtil

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JsonUtil

-     public final class JsonUtil
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addToArray​(java.lang.Object param, org.apache.activemq.artemis.json.JsonArrayBuilder jsonArrayBuilder)` |
    `static void` | `addToObject​(java.lang.String key, java.lang.Object param, org.apache.activemq.artemis.json.JsonObjectBuilder jsonObjectBuilder)` |
    `static java.lang.Object` | `convertJsonValue​(java.lang.Object jsonValue, java.lang.Class desiredType)` |
    `static java.lang.Object[]` | `fromJsonArray​(org.apache.activemq.artemis.json.JsonArray jsonArray)` |
    `static org.apache.activemq.artemis.json.JsonValue` | `nullSafe​(java.lang.String input)` |
    `static org.apache.activemq.artemis.json.JsonArray` | `readJsonArray​(java.lang.String jsonString)` |
    `static org.apache.activemq.artemis.json.JsonObject` | `readJsonObject​(java.lang.String jsonString)` |
    `static java.util.Map<java.lang.String,​java.lang.String>` | `readJsonProperties​(java.lang.String jsonString)` |
    `static org.apache.activemq.artemis.json.JsonArray` | `toJsonArray​(java.util.List<java.lang.String> strings)` |
    `static org.apache.activemq.artemis.json.JsonArray` | `toJSONArray​(java.lang.Object[] array)` |
    `static org.apache.activemq.artemis.json.JsonArrayBuilder` | `toJsonArrayBuilder​(byte[] byteArray)` |
    `static org.apache.activemq.artemis.json.JsonObject` | `toJsonObject​(java.util.Map<java.lang.String,​?> map)` |
    `static java.lang.Object` | `truncate​(java.lang.Object value, int valueSizeLimit)` |
    `static java.lang.String` | `truncateString​(java.lang.String str, int valueSizeLimit)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toJSONArray

          public static org.apache.activemq.artemis.json.JsonArray toJSONArray​(java.lang.Object[] array)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### fromJsonArray

          public static java.lang.Object[] fromJsonArray​(org.apache.activemq.artemis.json.JsonArray jsonArray)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### nullSafe

          public static org.apache.activemq.artemis.json.JsonValue nullSafe​(java.lang.String input)

    - #### addToObject

          public static void addToObject​(java.lang.String key,
                                         java.lang.Object param,
                                         org.apache.activemq.artemis.json.JsonObjectBuilder jsonObjectBuilder)

    - #### addToArray

          public static void addToArray​(java.lang.Object param,
                                        org.apache.activemq.artemis.json.JsonArrayBuilder jsonArrayBuilder)

    - #### toJsonArray

          public static org.apache.activemq.artemis.json.JsonArray toJsonArray​(java.util.List<java.lang.String> strings)

    - #### toJsonObject

          public static org.apache.activemq.artemis.json.JsonObject toJsonObject​(java.util.Map<java.lang.String,​?> map)

    - #### toJsonArrayBuilder

          public static org.apache.activemq.artemis.json.JsonArrayBuilder toJsonArrayBuilder​(byte[] byteArray)

    - #### readJsonArray

          public static org.apache.activemq.artemis.json.JsonArray readJsonArray​(java.lang.String jsonString)

    - #### readJsonObject

          public static org.apache.activemq.artemis.json.JsonObject readJsonObject​(java.lang.String jsonString)

    - #### readJsonProperties

          public static java.util.Map<java.lang.String,​java.lang.String> readJsonProperties​(java.lang.String jsonString)

    - #### convertJsonValue

          public static java.lang.Object convertJsonValue​(java.lang.Object jsonValue,
                                                          java.lang.Class desiredType)

    - #### truncateString

          public static java.lang.String truncateString​(java.lang.String str,
                                                        int valueSizeLimit)

    - #### truncate

          public static java.lang.Object truncate​(java.lang.Object value,
                                                  int valueSizeLimit)